FROM nvidia/cuda:10.1-base

RUN apt update -y && \
  ln -fs /usr/share/zoneinfo/Europe/London /etc/localtime && \
  apt-get install -y tzdata && \
  dpkg-reconfigure --frontend noninteractive tzdata && \
  apt install -y python3-numpy python3-pip git git-lfs python3-opencv && \
  apt-get clean autoclean
RUN pip3 --no-cache-dir install torch torchvision tox
